<h2>Methods run, sorted chronologically</h2><h3>&gt;&gt; means before, &lt;&lt; means after</h3><p/><br/><em>Suite</em><p/><small><i>(Hover the method name to see the test class name)</i></small><p/>
<table border="1">
<tr><th>Time</th><th>Delta (ms)</th><th>Suite<br>configuration</th><th>Test<br>configuration</th><th>Class<br>configuration</th><th>Groups<br>configuration</th><th>Method<br>configuration</th><th>Test<br>method</th><th>Thread</th><th>Instances</th></tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:17</td>   <td>0</td> <td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;testNGwithSauceLab.doSetup(java.lang.String)[pri:0, instance:test.testng.sauce.testNGwithSauceLab@47c62251]">&gt;&gt;doSetup</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>TestNG@1539601214</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:17</td>   <td>0</td> <td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;testNGwithSauceLab.doSetup(java.lang.String)[pri:0, instance:test.testng.sauce.testNGwithSauceLab@57fffcd7]">&gt;&gt;doSetup</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>TestNG@223692990</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:25</td>   <td>7844</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.printDataFromDataProvider(java.lang.String, java.lang.String)[pri:0, instance:test.testng.sauce.testNGwithSauceLab@47c62251]">printDataFromDataProvider</td> 
  <td>TestNG@1539601214</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:25</td>   <td>7846</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.printDataFromDataProvider(java.lang.String, java.lang.String)[pri:0, instance:test.testng.sauce.testNGwithSauceLab@47c62251]">printDataFromDataProvider</td> 
  <td>TestNG@1539601214</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:25</td>   <td>7850</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.printDataFromDataProvider(java.lang.String, java.lang.String)[pri:0, instance:test.testng.sauce.testNGwithSauceLab@47c62251]">printDataFromDataProvider</td> 
  <td>TestNG@1539601214</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:26</td>   <td>8991</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.printDataFromDataProvider(java.lang.String, java.lang.String)[pri:0, instance:test.testng.sauce.testNGwithSauceLab@57fffcd7]">printDataFromDataProvider</td> 
  <td>TestNG@223692990</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:26</td>   <td>8995</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.printDataFromDataProvider(java.lang.String, java.lang.String)[pri:0, instance:test.testng.sauce.testNGwithSauceLab@57fffcd7]">printDataFromDataProvider</td> 
  <td>TestNG@223692990</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:26</td>   <td>8999</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.printDataFromDataProvider(java.lang.String, java.lang.String)[pri:0, instance:test.testng.sauce.testNGwithSauceLab@57fffcd7]">printDataFromDataProvider</td> 
  <td>TestNG@223692990</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:21</td>   <td>4301</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.sauceLabBrowserSelection()[pri:0, instance:test.testng.sauce.testNGwithSauceLab@57fffcd7]">sauceLabBrowserSelection</td> 
  <td>TestNG@223692990</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:22</td>   <td>5360</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.sauceLabBrowserSelection()[pri:0, instance:test.testng.sauce.testNGwithSauceLab@47c62251]">sauceLabBrowserSelection</td> 
  <td>TestNG@1539601214</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:24</td>   <td>7016</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.selectShop()[pri:0, instance:test.testng.sauce.testNGwithSauceLab@57fffcd7]">selectShop</td> 
  <td>TestNG@223692990</td>   <td></td> </tr>
<tr bgcolor="fbd876">  <td>17/10/03 12:32:24</td>   <td>7540</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="testNGwithSauceLab.selectShop()[pri:0, instance:test.testng.sauce.testNGwithSauceLab@47c62251]">selectShop</td> 
  <td>TestNG@1539601214</td>   <td></td> </tr>
</table>
